Skip to main content
POST
/
v2
/
users
/
{userId}
/
orchestration-addresses
/
{orchestrationAddressId}
/
orchestrate
Manually trigger an orchestration
curl --request POST \
  --url https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses/{orchestrationAddressId}/orchestrate \
  --header 'Authorization: Bearer <token>'
{
  "triggered": true,
  "batch": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "orchestrationAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "totalAmount": "150.000000",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "depositIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "offrampTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

orchestrationAddressId
string<uuid>
required

ID of the orchestration address.

Response

Result of POST /orchestrate. Either a freshly-created batch (triggered: true, with batch populated) or an idempotent no-op (triggered: false, with reason indicating why).

Result of a manual POST /orchestrate call. Either a freshly-created batch (triggered: true) or an idempotent no-op (triggered: false).

triggered
enum<boolean>
required
Available options:
true
batch
object
required

A batch of one or more deposits rolled up into a single offramp transaction.